extends Node

# Event Handler for Learning Knowledge

# Signals
signal learned

func bingo(knowledge):
	if knowledge in KnowledgeBase.bingo_knowledge:
		MessageBus.publish("bingo", self)

# Handle
func handle(knowledge):
	if get_tree().get_nodes_in_group("player").size() > 0:
		get_tree().get_nodes_in_group("player")[0].think("Learned: " + knowledge)
	bingo(knowledge)
